import request from '@/utils/request'
// 获取产品列表
export function getProductList(data) {
  return request({
    url: '/Public/getProductList',
    method: 'post',
    data
  })
}

// 获取产品列表
export function getProductHotList(data) {
  return request({
    url: '/Public/getProductHotList',
    method: 'post',
    data
  })
}

// 获取产品分组列表
export function getProductGroupList(data) {
  return request({
    url: '/Public/getProductGroupList',
    method: 'post',
    data
  })
}

// 获取产品分组列表
export function getTradesMarketList(data) {
  return request({
    url: '/Public/getTradesMarketList',
    method: 'post',
    data
  })
}

// 获取K线数据
export function getPriceList(data) {
  return request({
    url: '/Public/getPriceList',
    method: 'post',
    data
  })
}

// getCurrencyList
export function getCurrencyList(data) {
  return request({
    url: '/Public/getCurrencyList',
    method: 'post',
    data
  })
}

// getPriceDepth
export function getPriceDepth(data) {
  return request({
    url: '/Public/getPriceDepth',
    method: 'post',
    data
  })
}

// getPriceDepth
export function getProductConfigList(data) {
  return request({
    url: '/Public/getProductConfigList',
    method: 'post',
    data
  })
}

// getPriceDepth
export function getPriceBatchList(data) {
  return request({
    url: '/Public/getPriceBatchList',
    method: 'post',
    data
  })
}

// getProductVacationList
export function getProductVacationList(data) {
  return request({
    url: '/Public/getProductVacationList',
    method: 'post',
    data
  })
}

// getProductShowList
export function getProductShowList(data) {
  return request({
    url: '/Public/getProductShowList',
    method: 'post',
    data
  })
}